Subject: Re: [PATCH v5 00/27] multi-pack reachability bitmaps

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Sep 2021 12:23:26 -0700

Taylor Blau <[email-masked]> writes:

> I'm comfortable with saying what's written in the documentation, since
> even though it happens to work today, we should leave ourselves open to
> not supporting directories which aren't alternates.
>
> But I'm equally OK if you would rather drop this hunk from the
> documentation when staging.

Oh, no, don't get me wrong.  I am comfortable with the documented
limitation, as that is what the area experts have agreed that is
reasonable given the expected use case.

I however am much less comfortable with a documented limitation that
we make no attempt to enforce, and that is why the first thing I
looked for after seeing the documentation update was new code to
make sure we reject a random directory that is not our alternate
object store.

Thanks.